<?php
/**
 * 
 * @package Unique Gift Shop
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $unique_gift_shop_classes Classes for the body element.
 * @return array
 */

if ( ! function_exists( 'unique_gift_shop_body_classes' ) ) :
function unique_gift_shop_body_classes( $unique_gift_shop_classes ) {
	// Adds a class of group-blog to blogs with more than 1 published author.
	if ( is_multi_author() ) {
		$unique_gift_shop_classes[] = 'group-blog';
	}

	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$unique_gift_shop_classes[] = 'hfeed';
	}

	return $unique_gift_shop_classes;
}
endif;
add_filter( 'body_class', 'unique_gift_shop_body_classes' );